
/* 
 * File:   GSLPermutation.cpp
 * Author: skidmarks
 * 
 * Created on December 29, 2017, 2:04 PM
 */

#include "GSLPermutation.h"

using namespace gsl;

GSLPermutation::GSLPermutation(size_t size) : GSLData(size, gslPermutation, gsl_permutation_alloc(size)) {
}; // GSLPermutation::GSLPermutation(int size)

GSLPermutation::GSLPermutation(size_t size, size_t calloc) : GSLData(size, gslPermutation, gsl_permutation_calloc(size)) {
}; // GSLPermutation::GSLPermutation(size_t size, size_t calloc)

GSLPermutation::GSLPermutation(const GSLPermutation& orig) : GSLData(orig.size(), gslPermutation, orig.block()){
}; // GSLPermutation::GSLPermutation(const GSLPermutation& orig)

GSLPermutation::~GSLPermutation() {
   gsl_permutation_free((gsl_permutation*)block());
}; // GSLPermutation::~GSLPermutation()

